=== debian/changelog ===
deepin-album (6.0.25) unstable; urgency=medium

  * Update version to 6.0.25 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 16 May 2025 17:51:07 +0800

deepin-album (6.0.24) unstable; urgency=medium

  * fix: prevent app freeze when using ctrl+A to select all in collection view
  * update version to 6.0.24

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 13 May 2025 14:18:32 +0800

deepin-album (6.0.23) unstable; urgency=medium

  * Update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 09:37:03 +0800

deepin-album (6.0.22) unstable; urgency=medium

  * chore: update translations.
  * fix: Optimize MTP device handling(Bug: 289223)

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 19:29:17 +0800

deepin-album (6.0.21) unstable; urgency=medium

  * chore: update desktop file
  * chore: update translations

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:51:34 +0800

deepin-album (6.0.20) unstable; urgency=medium

  * chore: New version 6.0.20.
  * Fix text color issue after change theme.
  * Fix did not sync rename for infodialog.
  * Update image info after rename.
  * Fix update imported view after delete.

 -- re2zero <yangwu@uniontech.com>  Thu, 20 Mar 2025 18:55:55 +0800

deepin-album (6.0.19) unstable; urgency=medium

  * chore: New version 6.0.19.

 -- Wang Yu <wangyu@uniontch.com>  Wed, 12 Mar 2025 20:08:03 +0800

deepin-album (6.0.18) unstable; urgency=medium

  * fix: Fix image rotate issue(Bug: 298051)
  * i18n: Translate desktop.ts in ja (#305)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:52:24 +0800

deepin-album (6.0.17) unstable; urgency=medium

  * fix: component overlap on deleted view(Bug: 275475)
  * fix: app hangs when access mtp device(Bug: 289223)
  * i18n: Updates for project Deepin Album (#302)

 -- renbin <renbin@uniontech.com>  Thu, 27 Feb 2025 19:16:13 +0800

deepin-album (6.0.16) unstable; urgency=medium

  * fix: Fix can not play video issue
  * chore: Update linglong base

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 20:34:36 +0800

deepin-album (6.0.15) unstable; urgency=medium

  * fix: remove invalid  url
  * fix: SMB display issue on immutable systems(Bug: 299327)

 -- renbin <renbin@uniontech.com>  Thu, 09 Jan 2025 17:37:27 +0800

deepin-album (6.0.14) unstable; urgency=medium

  * chore: New version 6.0.14.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 11:51:44 +0800
 
 deepin-album (6.0.13) unstable; urgency=medium
 
  * update version to 6.0.13

 -- renbin <renbin@uniontech.com>  Sat, 14 Dec 2024 11:56:30 +0800

deepin-album (6.0.12) unstable; urgency=medium

  * fix: Fixed the issue of waiting for restart after exiting (#272)
    Thanks to pengfeixx(Bug: 289903)
  * fix: Remove the freeimage dependency (#273)
    Thanks to pengfeixx
  * fix: sidebar background color(Bug: 290603)(Influence: UI)

 -- renbin <renbin@uniontech.com>  Sat, 07 Dec 2024 11:56:30 +0800

deepin-album (6.0.11) unstable; urgency=medium

   * update version to 6.0.11
   * [animation] add config enable/disable sidebar switch animation

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 22 Nov 2024 16:10:32 +0800

deepin-album (6.0.10) unstable; urgency=medium

   * update version to 6.0.10
   * fix: [review] When the sidebar content is fully displayed, only the vertical scroll wheel is used
   * feat: Replace the daily view with V20 QWidget control
   * feat: Replace the import view with V20 QWidget control
   * fix: [UI] v20 day view and import view style adjust 1st

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 25 Oct 2024 10:46:05 +0800

deepin-album (6.0.9) unstable; urgency=medium

   * update version to 6.0.9
   * fix: Resolve the issue of the probability of crashing when switching to an imported view

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 27 Sep 2024 09:58:03 +0800

deepin-album (6.0.8) unstable; urgency=medium

   * update version to 6.0.8
   * chore: [merge] merge imageviewer newer code to album
   * fix: fix some bugs about adapt qt6
   * feat: [translation]add transifex config

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 20 Sep 2024 16:34:03 +0800

deepin-album (6.0.7) unstable; urgency=medium

   * update version to 6.0.7
   * feat: adapt to Qt6
   * feat: merge new imageviewer code to album

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 5 Sep 2024 19:13:03 +0800

deepin-album (6.0.6) unstable; urgency=medium

  * fix: Search box centering issue fixed(Bug: 219083)
  * feat: [Animation] Collection year month day view add zoom out fade out dynamic effect(Bug: 168549)
  * feat: [Animation] Add large image preview with reverse animation effect(Bug: 168549)
  * fix: [UI] Add a semi transparent background effect to the sidebar(Bug: 265267)
  * fix: [UI] Add hover status display to the sidebar sub item(Bug: 268929, 268925)
  * feat: [Config] Add large image preview animation duration config(Bug: 168549)
  * fix: [Config] The default width and height adjustment of the main window is 1150 * 800(Bug: 268195)
  * fix: [UI] Adjustment of Top and Bottom Margins in Year Month View(Bug: 268925)

 -- houchengqiu <houchengqiu@uniontech.com>  Thu, 22 Aug 2024 13:41:03 +0800

deepin-album (6.0.5) unstable; urgency=medium

  * chore: Add sidebar menu switching animation
  * chore: Add large image preview animation
  * chore: Add dynamic effects for switching between year, month, and day views
  * chore: Increase the proportion of images to switch dynamic effects

 -- wangyu <wangyu@uniontech.com>  Thu, 15 Aug 2024 19:22:14 +0800

deepin-album (6.0.4) unstable; urgency=medium

  * chore: URL path to local path rectification, unified use of the localPath interface for processing
  * fix: Fix the issue of excessive display of high definition screen icons(Issue: https://github.com/linuxdeepin/developer-center/issues/4884)
  * refator: Improved functionality for 'import from file' and device list

