## deepin-album 6.0.33

=== debian/changelog ===
deepin-album (6.0.33) unstable; urgency=medium

  * chore: update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 27 Jun 2025 17:14:07 +0800

deepin-album (6.0.32) unstable; urgency=medium

  * chore: New version 6.0.32

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 26 Jun 2025 13:53:28 +0800

deepin-album (6.0.31) unstable; urgency=medium

  * chore: New version 6.0.31

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 25 Jun 2025 14:35:32 +0800

deepin-album (6.0.30) unstable; urgency=medium

  * chore: New version 6.0.30.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 15:53:51 +0800

deepin-album (6.0.29) unstable; urgency=medium

  * chore: Update translations (#343)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 12:58:38 +0800

deepin-album (6.0.28) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 17:05:41 +0800

deepin-album (6.0.27) unstable; urgency=medium

  * Update to 6.0.27

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 29 May 2025 16:59:13 +0800

deepin-album (6.0.26) unstable; urgency=medium

  * Update version to 6.0.26 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 22 May 2025 16:10:43 +0800
