## deepin-album 6.0.36

=== tests/CMakeLists.txt ===
# gtest: 使用 DAppLoader 加载本项目生成的 LIB
add_subdirectory(dapploader)
