=== debian/changelog ===
deepin-album (6.0.36) unstable; urgency=medium

  * chore: Update deepin-manual resources (#354)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 18:56:18 +0800

deepin-album (6.0.35) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 03 Jul 2025 15:28:27 +0800

deepin-album (6.0.34) unstable; urgency=medium

  * update version to 6.0.34.

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 20:47:25 +0800
