=== debian/control ===
Source: deepin-album
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 pkg-config,
# Qt6
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-svg-dev,
 qt6-declarative-dev,
# Dtk
 libdtk6gui-dev,
 libdtk6widget-dev,
 libdtk6declarative-dev,
# Deepin
# null
# 3rd party
 libexif-dev,
 libstartup-notification0-dev,
 libudev-dev,
 libfontconfig1-dev,
 libglib2.0-dev,
 libxrender-dev,
#libgio-qt-dev,
#libudisks2-qt5-dev,
 libdfm6-mount-dev,
 libavformat-dev,
 libffmpegthumbnailer-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-album
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
    qml6-module-qt-labs-settings,
    qml6-module-qt-labs-folderlistmodel,
    qml6-module-qtquick-dialogs,
    qml6-module-qtquick-layouts,
    qml6-module-qtquick-effects,
    qml6-module-qtquick-window,
    qml6-module-qt5compat-graphicaleffects,
    libqt6sql6-sqlite,
    qt6-image-formats-plugins
Recommends: qt6-gtk-platformtheme, deepin-ocr
Description: Simple description
 A detailed description.
