## deepin-album 6.0.43

=== debian/changelog ===
deepin-album (6.0.43) unstable; urgency=medium

  * fix: Add Lao translations to deepin-album.desktop

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 13:36:45 +0800

deepin-album (6.0.42) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 13 Aug 2025 11:39:40 +0800

deepin-album (6.0.41) unstable; urgency=medium

  * chore: Update .gitignore and clean up Lao translations

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 10:43:40 +0800

deepin-album (6.0.40) unstable; urgency=medium

  * fix: Handling translation errors in lo languages (#359)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 08 Aug 2025 15:55:29 +0800

deepin-album (6.0.39) unstable; urgency=medium

  * Update version to 6.0.39.

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 08 Aug 2025 13:53:15 +0800

deepin-album (6.0.38) unstable; urgency=medium

  * Update version to 6.0.38. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 19:44:28 +0800

deepin-album (6.0.37) unstable; urgency=medium

  * feat: Image format extension support

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 23 Jul 2025 15:12:27 +0800
