=== debian/changelog ===
deepin-album (6.0.46) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 13:03:40 +0800

deepin-album (6.0.45) unstable; urgency=medium

  * fix: Update layout and icon size in AlbumTitle.qml

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 16 Sep 2025 14:54:07 +0800

deepin-album (6.0.44) unstable; urgency=medium

  * fix: Fixed CMYK image display issue Fixed CMYK image display issue

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 15 Aug 2025 10:04:43 +0800
