## deepin-album 6.0.47

=== debian/changelog ===
deepin-album (6.0.47) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 23 Oct 2025 19:46:17 +0800
